# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/SSLeay.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Module/Build/Tiny.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(URI.pm) perl(parent.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name WebService-Qiita-V2
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Qiita API(v2) Client
Group: Development/Perl
License: perl
URL: https://github.com/risou/WebService-Qiita-V2

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RI/RISOU/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
WebService::Qiita::V2 is a client of Qiita API V2 for Perl.
This module wrapped all Qiita API(not include deprecated).

API document: https://qiita.com/api/v2/docs

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/W*

%changelog
* Fri Dec 28 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

